Bug 474864 - (perl-Test-Signature) Review Request: perl-Test-Signature - Automated SIGNATURE testing
Review Request: perl-Test-Signature - Automated SIGNATURE testing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 12:00 EST by Iain Arnell
Modified: 2009-01-28 19:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 01:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-12-05 12:00:27 EST
Spec URL: http://iarnell.fedorapeople.org/perl-Test-Signature.spec
SRPM URL: http://iarnell.fedorapeople.org/perl-Test-Signature-1.10-1.fc11.src.rpm
Description: 
Module::Signature allows you to verify that a distribution has not been
tampered with. Test::Signature lets that be tested as part of the
distribution's test suite.
Comment 1 Jason Tibbitts 2008-12-06 18:14:14 EST
Your manual dependency on Test::Builder results in a duplicated dependency in the final package; rpm -qp --requires perl-Test-Signature-1.10-1.fc11.noarch.rpm yields:
  perl(Test::Builder)
  perl(Test::Builder) >= 0.17

which is pointless.  Admittedly rpm should not do this, but in the meantime it is worth asking if you really need the manual versioned dependency.  Even F8, which is going EOL soon, shipped with Test::Builder 0.32.

* source files match upstream.  sha256sum:
   08375ba37c26d3c062e4d54bf0042b51ab20f4f7ef5b9e5cb23cc0829d2befd5  
   Test-Signature-1.10.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
X final provides and requires:
   perl(Test::Signature) = 1.10
   perl-Test-Signature = 1.10-1.fc11
  =
   perl >= 0:5.004
   perl(:MODULE_COMPAT_5.10.0)
   perl(Exporter)
X  perl(Test::Builder)
X  perl(Test::Builder) >= 0.17
   perl(Test::More) >= 0.47
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=2,  0 wallclock secs ( 0.01 usr  0.01 sys +  0.01 cusr  0.00 
    csys =  0.03 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Iain Arnell 2008-12-07 03:53:24 EST
Ok.  And the Test::More requirement was wrong too (automatically picked up by cpanspec from pod, I guess).

New SRPM: http://iarnell.fedorapeople.org/perl-Test-Signature-1.10-2.fc11.src.rpm
New spec: http://iarnell.fedorapeople.org/perl-Test-Signature.spec
Comment 3 Iain Arnell 2008-12-07 04:58:44 EST
Mental note - don't think before drinking coffee.  Of course, cpanspec picked up the Test::More requirement from META.YML or Makefile.PL - nothing sinister with pod.
Comment 4 Jason Tibbitts 2008-12-07 13:29:51 EST
Thanks; the dependencies look good now.

APPROVED
Comment 5 Iain Arnell 2008-12-07 16:12:31 EST
New Package CVS Request
=======================
Package Name: perl-Test-Signature
Short Description: Automated SIGNATURE testing
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2008-12-07 19:31:58 EST
cvs done.
Comment 7 Fedora Update System 2008-12-08 00:39:38 EST
perl-Test-Signature-1.10-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Test-Signature-1.10-2.fc10
Comment 8 Fedora Update System 2008-12-08 00:39:41 EST
perl-Test-Signature-1.10-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Test-Signature-1.10-2.fc9
Comment 9 Fedora Update System 2008-12-17 19:33:27 EST
perl-Test-Signature-1.10-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-17 19:40:44 EST
perl-Test-Signature-1.10-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Iain Arnell 2009-01-28 11:37:37 EST
Package Change Request
======================
Package Name: perl-Test-Signature
New Branches: EL-5
Owners: iarnell
InitialCC: perl-sig
Comment 12 Kevin Fenzi 2009-01-28 19:28:41 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.